﻿using System;
using BingMapsDemo.Services;
using BingMapsDemo.Business;
using System.Collections.ObjectModel;
using System.ComponentModel;

namespace BingMapsDemo
{
    public class EarthquakeViewModel : INotifyPropertyChanged
    {
        private ObservableCollection<Earthquake> _earthquakes;
        public ObservableCollection<Earthquake> Earthquakes
        {
            get { return _earthquakes; }
            set
            {
                _earthquakes = value;
                OnPropertyChanged("Earthquakes");
            }
        }        

        public EarthquakeViewModel()
        {
            EarthquakeService.GetRecentEarthquakes((o, ea) =>
            {
                Earthquakes = new ObservableCollection<Earthquake>(ea.Locations);
            });
        }

        public event PropertyChangedEventHandler PropertyChanged;
        protected virtual void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
        }
    }
}
