﻿using System;
using System.Windows;
using System.Windows.Input;
using Microsoft.Maps.MapControl.WPF;
using BingMapsDemo.Business;

namespace BingMapsDemo
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            DataContext = new EarthquakeViewModel();
        }

        private void Pushpin_MouseEnter(object sender, MouseEventArgs e)
        {
            FrameworkElement pin = sender as FrameworkElement;
            MapLayer.SetPosition(ContentPopup, MapLayer.GetPosition(pin));
            MapLayer.SetPositionOffset(ContentPopup, new Point(20, -15));

            var location = (Earthquake)pin.Tag;

            ContentPopupText.Text = location.Title;
            ContentPopupDescription.Text = location.Description;
            ContentPopup.Visibility = Visibility.Visible;
        }

        private void Pushpin_MouseLeave(object sender, MouseEventArgs e)
        {
            ContentPopup.Visibility = Visibility.Collapsed;
        }
    }
}
